NPM WARN deprecated core-js@2.6.11: core-js@<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3

Hi, I am getting the following warning message during deployment from the last few deploys. Please check these logs and help me to rectify issue.

WARN deprecated core-js@2.6.11: core-js@<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3.

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@babel/polyfill/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:39 AM: Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

5:57:39 AM: The project needs your help! Please consider supporting of core-js on Open Collective or Patreon:

5:57:39 AM: > https://opencollective.com/core-js

5:57:39 AM: > https://www.patreon.com/zloirock

5:57:39 AM: Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/bmp/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/core/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/custom/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/gif/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:39 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/jpeg/node_modules/core-js

5:57:39 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-blit/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-blur/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-color/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-contain/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-cover/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-crop/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-displace/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:40 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-dither/node_modules/core-js

5:57:40 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-flip/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-gaussian/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-invert/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-mask/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-normalize/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-print/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:41 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-resize/node_modules/core-js

5:57:41 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-rotate/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugin-scale/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/plugins/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/png/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/tiff/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/types/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:42 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@jimp/utils/node_modules/core-js

5:57:42 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:43 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/babel-runtime/node_modules/core-js

5:57:43 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:43 AM: > core-js-pure@3.6.4 postinstall /opt/build/repo/node_modules/core-js-pure

5:57:43 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:43 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/gatsby/node_modules/core-js

5:57:43 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:43 AM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/jimp/node_modules/core-js

5:57:43 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:43 AM: > gatsby-telemetry@1.1.51 postinstall /opt/build/repo/node_modules/gatsby-telemetry

5:57:43 AM: > node src/postinstall.js || true

5:57:43 AM: > gatsby-cli@2.10.2 postinstall /opt/build/repo/node_modules/gatsby/node_modules/gatsby-cli

5:57:43 AM: > node scripts/postinstall.js

5:57:44 AM: > core-js@3.6.4 postinstall /opt/build/repo/node_modules/core-js

5:57:44 AM: > node -e “try{require(’./postinstall’)}catch(e){}”

5:57:44 AM: > gatsby@2.19.32 postinstall /opt/build/repo/node_modules/gatsby

5:57:44 AM: > node scripts/postinstall.js

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.2.7 (node_modules/babel-plugin-add-module-exports/node_modules/chokidar/node_modules/fsevents):

5:57:47 AM: npm

5:57:47 AM: WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.11: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})

5:57:47 AM: npm WARN optional

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: fsevents@~2.1.1 (node_modules/chokidar/node_modules/fsevents):

5:57:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.2: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})

5:57:47 AM: npm

5:57:47 AM: WARN tsutils@3.17.1 requires a peer of typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta but none is installed. You must install peer dependencies yourself.

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: abbrev@1.1.1 (node_modules/fsevents/node_modules/abbrev):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/abbrev’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.abbrev.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: ansi-regex@2.1.1 (node_modules/fsevents/node_modules/ansi-regex):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/ansi-regex’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.ansi-regex.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: aproba@1.2.0 (node_modules/fsevents/node_modules/aproba):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/aproba’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.aproba.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: balanced-match@1.0.0 (node_modules/fsevents/node_modules/balanced-match):

5:57:47 AM: npm

5:57:47 AM: WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/balanced-match’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.balanced-match.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: chownr@1.1.3 (node_modules/fsevents/node_modules/chownr):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/chownr’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.chownr.DELETE’

5:57:47 AM: npm WARN optional

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: code-point-at@1.1.0 (node_modules/fsevents/node_modules/code-point-at):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/code-point-at’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.code-point-at.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: concat-map@0.0.1 (node_modules/fsevents/node_modules/concat-map):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/concat-map’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.concat-map.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: console-control-strings@1.1.0 (node_modules/fsevents/node_modules/console-control-strings):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/console-control-strings’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.console-control-strings.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: core-util-is@1.0.2 (node_modules/fsevents/node_modules/core-util-is):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/core-util-is’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.core-util-is.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: deep-extend@0.6.0 (node_modules/fsevents/node_modules/deep-extend):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/deep-extend’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.deep-extend.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: delegates@1.0.0 (node_modules/fsevents/node_modules/delegates):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/delegates’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.delegates.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: detect-libc@1.0.3 (node_modules/fsevents/node_modules/detect-libc):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/detect-libc’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.detect-libc.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fs.realpath@1.0.0 (node_modules/fsevents/node_modules/fs.realpath):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/fs.realpath’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.fs.realpath.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: has-unicode@2.0.1 (node_modules/fsevents/node_modules/has-unicode):

5:57:47 AM: npm WARN

5:57:47 AM: enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/has-unicode’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.has-unicode.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: inherits@2.0.4 (node_modules/fsevents/node_modules/inherits):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/inherits’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.inherits.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: ini@1.3.5 (node_modules/fsevents/node_modules/ini):

5:57:47 AM: npm

5:57:47 AM: WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/ini’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.ini.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: isarray@1.0.0 (node_modules/fsevents/node_modules/isarray):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/isarray’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.isarray.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: minimist@0.0.8 (node_modules/fsevents/node_modules/minimist):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/minimist’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.minimist.DELETE’

5:57:47 AM: npm WARN optional

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ms@2.1.2 (node_modules/fsevents/node_modules/ms):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/ms’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.ms.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: npm-normalize-package-bin@1.0.1 (node_modules/fsevents/node_modules/npm-normalize-package-bin):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/npm-normalize-package-bin’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.npm-normalize-package-bin.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: number-is-nan@1.0.1 (node_modules/fsevents/node_modules/number-is-nan):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/number-is-nan’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.number-is-nan.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: object-assign@4.1.1 (node_modules/fsevents/node_modules/object-assign):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/object-assign’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.object-assign.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: os-homedir@1.0.2 (node_modules/fsevents/node_modules/os-homedir):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/os-homedir’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.os-homedir.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: os-tmpdir@1.0.2 (node_modules/fsevents/node_modules/os-tmpdir):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/os-tmpdir’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.os-tmpdir.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: path-is-absolute@1.0.1 (node_modules/fsevents/node_modules/path-is-absolute):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/path-is-absolute’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.path-is-absolute.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: process-nextick-args@2.0.1 (node_modules/fsevents/node_modules/process-nextick-args):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/process-nextick-args’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.process-nextick-args.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: minimist@1.2.0 (node_modules/fsevents/node_modules/rc/node_modules/minimist):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/rc/node_modules/minimist’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/rc/node_modules/.minimist.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: safe-buffer@5.1.2 (node_modules/fsevents/node_modules/safe-buffer):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/safe-buffer’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.safe-buffer.DELETE’

5:57:47 AM: npm

5:57:47 AM: WARN optional SKIPPING OPTIONAL DEPENDENCY: safer-buffer@2.1.2 (node_modules/fsevents/node_modules/safer-buffer):

5:57:47 AM: npm WARN

5:57:47 AM: enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/safer-buffer’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.safer-buffer.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: sax@1.2.4 (node_modules/fsevents/node_modules/sax):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/sax’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.sax.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: semver@5.7.1 (node_modules/fsevents/node_modules/semver):

5:57:47 AM: npm

5:57:47 AM: WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/semver’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.semver.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: set-blocking@2.0.0 (node_modules/fsevents/node_modules/set-blocking):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/set-blocking’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.set-blocking.DELETE’

5:57:47 AM: npm WARN

5:57:47 AM: optional SKIPPING OPTIONAL DEPENDENCY: signal-exit@3.0.2 (node_modules/fsevents/node_modules/signal-exit):

5:57:47 AM: npm WARN enoent

5:57:47 AM: SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/signal-exit’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.signal-exit.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: strip-json-comments@2.0.1 (node_modules/fsevents/node_modules/strip-json-comments):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/strip-json-comments’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.strip-json-comments.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: util-deprecate@1.0.2 (node_modules/fsevents/node_modules/util-deprecate):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/util-deprecate’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.util-deprecate.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: wrappy@1.0.2 (node_modules/fsevents/node_modules/wrappy):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/wrappy’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.wrappy.DELETE’

5:57:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: yallist@3.1.1 (node_modules/fsevents/node_modules/yallist):

5:57:47 AM: npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: no such file or directory, rename ‘/opt/build/repo/node_modules/fsevents/node_modules/yallist’ -> ‘/opt/build/repo/node_modules/fsevents/node_modules/.yallist.DELETE’

That’s a lot of warnings! For one, it looks like you’ll want to update the version of core-js that you have in your package.json by running npm install --save core-js@^3 and pushing that change. Do you want to let us know if that fixes things?

Hi Jen, I am trying to upload my reactjs project on netlify but unfortunately I am also getting the same error: “npm WARN deprecated core-js@2.6.11: core-js@<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3.” when I run: $ npm install netlify-cli -g netlify deploy.
I also tried to run npm install --save core-js@^3 as you have mentioned, but then its giving alot of error like the error which are above! Any news on fixing this issue? Thank you in advance…

Hi @mkumar2020, we’ve merged an update that fix those warnings for you! Please let us know if you continue to run into that problem.

Hi @Hanygaja, this is surprising since you’re using the CLI, but the other core-js warnings at the top of the thread were from Netlify Build. That said, I am able to replicate the warning on my own machine. I don’t have any update on this, but will report back when I do. Thanks for your patience!

@Hanygaja we’ve merged an update to the CLI that should fix the core-js warning (though the CLI should still successfully install without the update)- keep an eye out for the next CLI release which will include the fix :slight_smile: :